View Issue Details

IDProjectCategoryView StatusLast Update
0003614SOGoBackend Generalpublic2016-05-06 13:50
Reporternfg Assigned Toludovic  
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSUbuntuOS Version14.04 LTS
Product Version2.3.9 
Fixed in Version2.3.11 
Summary0003614: Multi-domain setup using email in UIDFieldName causes crash when user session is loaded
Description

I am using a multi-domain setup where I use the LDAP field mail as a UIDFieldName.

Using this set-up CalDav and CardDav works and I am able to log in to
the webmail client. The problem manifest it self after being inactive
(not accessing server) for 5min. After that time I get a 500 server
error from SOGo and the following message in the sogo log:'

EXCEPTION: <NSException: 0x55555611d558> NAME:NSInvalidArgumentException REASON:Tried to add nil value for key 'userName' to dictionary INFO:{}

I guess this has to do with some kind of in-memory session expiration
time. When I enable debug logging I can see that SOGo tries to look up
the user in LDAP with the uid post@customer1.com@custome1.com. SOGo
appends the domain part even if it is already present.

If I stop the sogo process, clear the session table in the database, restart memcached and start the sogo process I am able to log-in again. It is not enough to only restart memcached or clear the session table, I have to do both.

My guess is that SOGo loads the session from the database and tries to
look up the user in LDAP, but do not check if the uid already contains
the domain part.

Steps To Reproduce

Use the following configuration where the main point is that SOGoEnableDomainBasedUID is true and that UIDFieldName is a field containing a email address:

SOGoEnableDomainBasedUID = YES;
SOGoForceExternalLoginWithEmail = YES;
domains = {
customer1.com = {
SOGoMailDomain = customer1.com;
SOGoUserSources = ({
id = public_customer1;
type = ldap;
CNFieldName = cn;
IDFieldName = mail;
UIDFieldName = mail;
baseDN = "ou=users,ou=customer1.com,dc=example,dc=com";
bindDN = "cn=sogo,dc=example,dc=com";
bindFields = (mail);
bindPassword = ;
bindAsCurrentUser = NO;
canAuthenticate = YES;
displayName = "Shared Addresses";
hostname = ldap://localhost;
isAddressBook = YES;
});
};
customer2.com = {
SOGoMailDomain = customer2.com;
SOGoUserSources = ({
id = public_customer2;
type = ldap;
CNFieldName = cn;
IDFieldName = mail;
UIDFieldName = mail;
baseDN = "ou=users,ou=customer2.com,dc=example,dc=com";
bindDN = "cn=sogo,dc=example,dc=com";
bindFields = (mail);
bindPassword =
;
bindAsCurrentUser = NO;
canAuthenticate = YES;
displayName = "Shared Addresses";
hostname = ldap://localhost;
isAddressBook = YES;
});
};
};

Steps to reproduce:

  1. Log inn using a valid e-mail and password.
  2. Wait 5 minutes.
  3. Reload the page.
Additional Information

Stack trace:
#0 -[NSException raise] (self=0x55555611d558, _cmd=0x7ffff58c9030 <_OBJC_SELECTOR_TABLE+496>) at NSException.m:955
0000001 0x00007ffff539d5b4 in -[GSMutableDictionary setObject:forKey:] (self=0x5555561530d8, _cmd=<optimized out>, anObject=0x0, aKey=0x7ffff7dd1fe0 <_OBJC_INSTANCE_18>) at GSDictionary.m:428
0000002 0x00007ffff7b69bac in -[SOGoUser _appendSystemMailAccount] (self=0x555555f11628, _cmd=0x7ffff7dd33f0 <_OBJC_SELECTOR_TABLE+1776>) at SOGoUser.m:624
0000003 0x00007ffff7b6ae87 in -[SOGoUser mailAccounts] (self=0x555555f11628, _cmd=0x7fffe9abb5e0 <_OBJC_SELECTOR_TABLE+32>) at SOGoUser.m:814
0000004 0x00007fffe988d7e0 in -[SOGoMailAccounts mailAccounts] (self=0x555555f265f8, _cmd=0x7fffe8bcc4b0 <_OBJC_SELECTOR_TABLE+176>) at SOGoMailAccounts.m:52
0000005 0x00007fffe89aceb9 in -[UIxMailMainFrame mailAccounts] (self=0x555556063d88, _cmd=0x5555560f2450) at UIxMailMainFrame.m:116
0000006 0x00007ffff6ca31ad in _getComponentValue (self=self@entry=0x555555f8e748, object=object@entry=0x555556063d88, info=info@entry=0x555555f8dd60) at WOKeyPathAssociation.m:537
0000007 0x00007ffff6ca8a6a in _getOneValue (root=0x555556063d88, self=0x555555f8e748) at WOKeyPathAssociation.m:758
0000008 -[WOKeyPathAssociation valueInComponent:] (self=0x555555f8e748, _cmd=<optimized out>, _component=0x555556063d88) at WOKeyPathAssociation.m:1004
0000009 0x00007ffff6cd6e4f in -[_WOComplexString appendToResponse:inContext:] (self=0x555555fb1798, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOString.m:561
0000010 0x00007ffff6cc0d32 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f5d568, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOCompoundElement.m:247
0000011 0x00007ffff6cc6ea7 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f9d6c8, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOGenericContainer.m:121
0000012 0x00007ffff6cc0d32 in -[WOCompoundElement appendToResponse:inContext:] (self=0x5555560669a8, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOCompoundElement.m:247
0000013 0x00007ffff6cbf371 in -[WOComponentContent appendToResponse:inContext:] (self=<optimized out>, _cmd=0x7ffff6fea140 <_OBJC_SELECTOR_TABLE+320>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOComponentContent.m:149
0000014 0x00007ffff6cc6ea7 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f3ec28, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOGenericContainer.m:121
0000015 0x00007ffff6cc0d32 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fec638, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOCompoundElement.m:247
0000016 0x00007ffff6cc1d80 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOConditional.m:242
0000017 0x00007ffff6cc0d32 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555facc58, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOCompoundElement.m:247
0000018 0x00007ffff6cbb7c4 in -[WOBody appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOBody.m:157
0000019 0x00007ffff6cc0d32 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555face58, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOCompoundElement.m:247
0000020 0x00007ffff6cc6ea7 in -[WOGenericContainer appendToResponse:inContext:] (self=0x55555604f758, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOGenericContainer.m:121
0000021 0x00007ffff6cc0d32 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fa9ba8, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOCompoundElement.m:247
0000022 0x00007ffff6cc1d80 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOConditional.m:242
0000023 0x00007ffff6cc0d32 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f8c118, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOCompoundElement.m:247
0000024 0x00007ffff6c5a7a2 in -[WOComponent appendToResponse:inContext:] (self=0x55555603ccc8, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOComponent.m:928
0000025 0x00007ffff6c7acb7 in -[WOChildComponentReference appendToResponse:inContext:] (self=0x555556066958, _cmd=0x7ffff6fc5ef0 <_OBJC_SELECTOR_TABLE+368>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOChildComponentReference.m:181
0000026 0x00007ffff6c5a7a2 in -[WOComponent appendToResponse:inContext:] (self=0x555556063d88, _cmd=<optimized out>, _response=0x555555ed81e8, _ctx=0x555555ec06d8) at WOComponent.m:928
0000027 0x00007ffff6cef47b in -[SoDefaultRenderer renderComponent:inContext:] () from /usr/lib/libNGObjWeb.so.4.9
0000028 0x00007ffff6cf6512 in -[SoObjectRequestHandler renderObject:inContext:] () from /usr/lib/libNGObjWeb.so.4.9
0000029 0x00007ffff6cf705d in -[SoObjectRequestHandler handleRequest:inContext:session:application:] () from /usr/lib/libNGObjWeb.so.4.9
0000030 0x00007ffff6c8cd2e in -[WORequestHandler handleRequest:] (self=0x555555b8d838, _cmd=<optimized out>, _request=0x555555ec1b38) at WORequestHandler.m:237
0000031 0x00007ffff6c5468c in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x555555c99bf8, _cmd=<optimized out>, _request=0x555555ec1b38, handler=0x555555b8d838) at WOCoreApplication.m:712
0000032 0x000055555555b822 in -[SOGo dispatchRequest:] (self=0x555555c99bf8, _cmd=0x7ffff7001a10 <_OBJC_SELECTOR_TABLE+1840>, _request=0x555555ec1b38) at SOGo.m:453
0000033 0x00007ffff6ce7acd in -[WOHttpTransaction _run] (self=0x555555ea5f58, _cmd=<optimized out>) at WOHttpTransaction.m:596
0000034 0x00007ffff6ce8f98 in -[WOHttpTransaction run] (self=0x555555ea5f58, _cmd=<optimized out>) at WOHttpTransaction.m:649
0000035 0x00007ffff6ce403a in -[WOHttpAdaptor runConnection:] (self=0x555555d57df8, _cmd=<optimized out>, _socket=<optimized out>) at WOHttpAdaptor.m:367
0000036 0x00007ffff6ce4e76 in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x555555d57df8, _cmd=<optimized out>, _connection=0x555555ea24f8) at WOHttpAdaptor.m:401
0000037 0x00007ffff6ce520a in -[WOHttpAdaptor _handleConnection:] (self=0x555555d57df8, _cmd=<optimized out>, connection=0x555555ea24f8) at WOHttpAdaptor.m:460
0000038 0x00007ffff6ce5294 in -[WOHttpAdaptor acceptConnection:] (self=0x555555d57df8, _cmd=<optimized out>, _notification=<optimized out>) at WOHttpAdaptor.m:521
0000039 0x00007ffff548643d in -[NSNotificationCenter _postAndRelease:] (self=0x555555877ee8, _cmd=<optimized out>, notification=0x555555ea18d8) at NSNotificationCenter.m:1223
0000040 0x00007ffff5580487 in -[GSRunLoopCtxt pollUntil:within:] (self=0x555555c14648, _cmd=<optimized out>, milliseconds=<optimized out>, contexts=<optimized out>) at GSRunLoopCtxt.m:632
0000041 0x00007ffff54cbd70 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x555555c7efb8, _cmd=<optimized out>, mode=0x7ffff594d520 <_OBJC_INSTANCE_2>, limit_date=<optimized out>) at NSRunLoop.m:1195
0000042 0x00007ffff54cab8c in -[NSRunLoop runMode:beforeDate:] (self=0x555555c7efb8, _cmd=0x7ffff6f6ae10 <_OBJC_SELECTOR_TABLE+1360>, mode=0x7ffff594d520 <_OBJC_INSTANCE_2>, date=0x555555c91558) at NSRunLoop.m:1263
0000043 0x00007ffff6c55a6e in -[WOCoreApplication run] (self=0x555555c99bf8, _cmd=<optimized out>) at WOCoreApplication.m:584
0000044 0x000055555555af2d in -[SOGo run] (self=0x555555c99bf8, _cmd=0x7ffff6f8d2a0 <_OBJC_SELECTOR_TABLE+224>) at SOGo.m:277
0000045 0x00007ffff6c7a364 in WOApplicationMain (_appClassName=_appClassName@entry=0x555555761140 <_OBJC_INSTANCE_0>, argc=argc@entry=13, argv=argv@entry=0x7fffffffe158) at WOApplicationMain.m:42
0000046 0x00007ffff6c963cf in WOWatchDogApplicationMain (appName=0x555555761140 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe158) at WOWatchDogApplicationMain.m:1043
0000047 0x000055555555a25e in main (argc=13, argv=0x7fffffffe158, env=0x7fffffffe1c8) at sogod.m:53

TagsNo tags attached.

Activities

nfg

nfg

2016-04-08 09:00

reporter   ~0009942

Last edited: 2016-04-08 09:06

View 5 revisions

I built the master branch from git with the same results.

Here is the stack trace:

#0 -[NSException raise] (self=0x5555560b7f28, _cmd=0x7ffff589c030 <_OBJC_SELECTOR_TABLE+496>) at NSException.m:955
0000001 0x00007ffff53705b4 in -[GSMutableDictionary setObject:forKey:] (self=0x5555560b57f8, _cmd=<optimized out>, anObject=0x0, aKey=0x7ffff7dd46c0 <_OBJC_INSTANCE_30>) at GSDictionary.m:428
0000002 0x00007ffff7b730ad in -[SOGoUser _appendSystemMailAccount] (self=0x555555ee8098, _cmd=0x7ffff7dd5cb0 <_OBJC_SELECTOR_TABLE+1968>) at SOGoUser.m:644
0000003 0x00007ffff7b74697 in -[SOGoUser mailAccounts] (self=0x555555ee8098, _cmd=0x7fffea93b280 <_OBJC_SELECTOR_TABLE+32>) at SOGoUser.m:857
0000004 0x00007fffea70d29f in -[SOGoMailAccounts mailAccounts] (self=0x555555efcf48, _cmd=0x7fffe9a3e9d0 <_OBJC_SELECTOR_TABLE+176>) at SOGoMailAccounts.m:50
0000005 0x00007fffe981daf6 in -[UIxMailMainFrame mailAccounts] (self=0x555555feefe8, _cmd=0x555556078860) at UIxMailMainFrame.m:109
0000006 0x00007ffff6c9b6e7 in _getComponentValue (self=0x555555fdda98, object=0x555555feefe8, info=0x555555fdf1e0) at WOKeyPathAssociation.m:537
0000007 0x00007ffff6c9bff2 in _getOneValue (self=0x555555fdda98, root=0x555555feefe8) at WOKeyPathAssociation.m:758
0000008 0x00007ffff6c9cd09 in -[WOKeyPathAssociation valueInComponent:] (self=0x555555fdda98, _cmd=0x7ffff6fb7910 <_OBJC_SELECTOR_TABLE+464>, _component=0x555555feefe8) at WOKeyPathAssociation.m:1004
0000009 0x00007ffff6c9892b in -[WOAssociation valueInContext:] (self=0x555555fdda98, _cmd=0x7ffff6ff32d0 <_OBJC_SELECTOR_TABLE+912>, _ctx=0x555555e97b58) at WOAssociation.m:223
0000010 0x00007ffff6ccd4af in -[_WOComplexString appendToResponse:inContext:] (self=0x555555fe0f78, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOString.m:561
0000011 0x00007ffff6cb7392 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555fe3278, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOCompoundElement.m:247
0000012 0x00007ffff6cbd507 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555fd6fe8, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOGenericContainer.m:121
0000013 0x00007ffff6cb7392 in -[WOCompoundElement appendToResponse:inContext:] (self=0x5555560138d8, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOCompoundElement.m:247
0000014 0x00007ffff6cb59d1 in -[WOComponentContent appendToResponse:inContext:] (self=<optimized out>, _cmd=0x7ffff6fe4480 <_OBJC_SELECTOR_TABLE+736>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOComponentContent.m:149
0000015 0x00007ffff6cb7392 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f930e8, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOCompoundElement.m:247
0000016 0x00007ffff6cb83e0 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOConditional.m:242
0000017 0x00007ffff6cb7392 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f59578, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOCompoundElement.m:247
0000018 0x00007ffff6cb1e24 in -[WOBody appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOBody.m:157
0000019 0x00007ffff6cb7392 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f878f8, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOCompoundElement.m:247
0000020 0x00007ffff6cbd507 in -[WOGenericContainer appendToResponse:inContext:] (self=0x555555f7b4a8, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOGenericContainer.m:121
0000021 0x00007ffff6cb7392 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f87b68, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOCompoundElement.m:247
0000022 0x00007ffff6cb83e0 in -[WOConditional appendToResponse:inContext:] (self=<optimized out>, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOConditional.m:242
0000023 0x00007ffff6cb7392 in -[WOCompoundElement appendToResponse:inContext:] (self=0x555555f93fd8, _cmd=<optimized out>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOCompoundElement.m:247
0000024 0x00007ffff6c49c9c in -[WOComponent appendToResponse:inContext:] (self=0x555555f97038, _cmd=0x7ffff6f8c120 <_OBJC_SELECTOR_TABLE+544>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOComponent.m:928
0000025 0x00007ffff6c6e937 in -[WOChildComponentReference appendToResponse:inContext:] (self=0x555556013888, _cmd=0x7ffff6fc4710 <_OBJC_SELECTOR_TABLE+368>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOChildComponentReference.m:181
0000026 0x00007ffff6c49c9c in -[WOComponent appendToResponse:inContext:] (self=0x555555feefe8, _cmd=0x7ffff7013db0 <_OBJC_SELECTOR_TABLE+464>, _response=0x555555eaf588, _ctx=0x555555e97b58) at WOComponent.m:928
0000027 0x00007ffff6ce68ab in -[SoDefaultRenderer renderComponent:inContext:] (self=0x555555d51ca8, _cmd=<optimized out>, _c=0x555555feefe8, _ctx=0x555555e97b58) at SoDefaultRenderer.m:139
0000028 0x00007ffff6ced942 in -[SoObjectRequestHandler renderObject:inContext:] (self=0x555555b88358, _cmd=<optimized out>, _object=0x555555feefe8, _ctx=0x555555e97b58) at SoObjectRequestHandler.m:466
0000029 0x00007ffff6cee48d in -[SoObjectRequestHandler handleRequest:inContext:session:application:] (self=0x555555b88358, _cmd=<optimized out>, _rq=<optimized out>, _ctx=0x555555e97b58, _sn=<optimized out>, app=<optimized out>) at SoObjectRequestHandler.m:616
0000030 0x00007ffff6c828c9 in -[WORequestHandler handleRequest:] (self=0x555555b88358, _cmd=0x7ffff6f69d60 <_OBJC_SELECTOR_TABLE+1632>, _request=0x555555e98fd8) at WORequestHandler.m:237
0000031 0x00007ffff6c4549c in -[WOCoreApplication dispatchRequest:usingHandler:] (self=0x555555c54688, _cmd=0x7ffff6f69db0 <_OBJC_SELECTOR_TABLE+1712>, _request=0x555555e98fd8, handler=0x555555b88358) at WOCoreApplication.m:712
0000032 0x00007ffff6c4579f in -[WOCoreApplication dispatchRequest:] (self=0x555555c54688, _cmd=0x5555557643d0 <_OBJC_SELECTOR_TABLE+1648>, _request=0x555555e98fd8) at WOCoreApplication.m:752
0000033 0x000055555555c7bc in -[SOGo dispatchRequest:] (self=0x555555c54688, _cmd=0x7ffff7001310 <_OBJC_SELECTOR_TABLE+1840>, _request=0x555555e98fd8) at SOGo.m:565
0000034 0x00007ffff6cdf107 in -[WOHttpTransaction _run] (self=0x555555e7d5c8, _cmd=0x7ffff7001340 <_OBJC_SELECTOR_TABLE+1888>) at WOHttpTransaction.m:596
0000035 0x00007ffff6cdf467 in -[WOHttpTransaction run] (self=0x555555e7d5c8, _cmd=0x7ffff6ffefa0 <_OBJC_SELECTOR_TABLE+1152>) at WOHttpTransaction.m:649
0000036 0x00007ffff6cdb1bc in -[WOHttpAdaptor runConnection:] (self=0x555555e6ab48, _cmd=0x7ffff6fff040 <_OBJC_SELECTOR_TABLE+1312>, _socket=0x555555e78e38) at WOHttpAdaptor.m:367
0000037 0x00007ffff6cdb3da in -[WOHttpAdaptor _handleAcceptedConnection:] (self=0x555555e6ab48, _cmd=0x7ffff6fff050 <_OBJC_SELECTOR_TABLE+1328>, _connection=0x555555e78e38) at WOHttpAdaptor.m:401
0000038 0x00007ffff6cdb7cf in -[WOHttpAdaptor _handleConnection:] (self=0x555555e6ab48, _cmd=0x7ffff6fff100 <_OBJC_SELECTOR_TABLE+1504>, connection=0x555555e78e38) at WOHttpAdaptor.m:460
0000039 0x00007ffff6cdbc1e in -[WOHttpAdaptor acceptConnection:] (self=0x555555e6ab48, _cmd=0x7ffff6ffef60 <_OBJC_SELECTOR_TABLE+1088>, _notification=0x555555e79148) at WOHttpAdaptor.m:521
0000040 0x00007ffff545943d in -[NSNotificationCenter _postAndRelease:] (self=0x55555586ec08, _cmd=<optimized out>, notification=0x555555e79148) at NSNotificationCenter.m:1223
0000041 0x00007ffff60bcbc6 in -[NSObject(FileObjectWatcher) receivedEvent:type:extra:forMode:] (self=0x555555e73818, _cmd=0x7ffff598af90 <_OBJC_SELECTOR_TABLE+304>, _fdData=0x6, _type=ET_RDESC, _extra=0x6, _mode=0x7ffff5920520 <_OBJC_INSTANCE_2>) at NSRunLoop+FileObjects.m:58
0000042 0x00007ffff5553487 in -[GSRunLoopCtxt pollUntil:within:] (self=0x555555c11418, _cmd=<optimized out>, milliseconds=<optimized out>, contexts=<optimized out>) at GSRunLoopCtxt.m:632
0000043 0x00007ffff549ed70 in -[NSRunLoop acceptInputForMode:beforeDate:] (self=0x555555c3a478, _cmd=<optimized out>, mode=0x7ffff5920520 <_OBJC_INSTANCE_2>, limit_date=<optimized out>) at NSRunLoop.m:1195
0000044 0x00007ffff549db8c in -[NSRunLoop runMode:beforeDate:] (self=0x555555c3a478, _cmd=0x7ffff6f69c50 <_OBJC_SELECTOR_TABLE+1360>, mode=0x7ffff5920520 <_OBJC_INSTANCE_2>, date=0x555555c46ae8) at NSRunLoop.m:1263
0000045 0x00007ffff6c44cf4 in -[WOCoreApplication run] (self=0x555555c54688, _cmd=0x555555764100 <_OBJC_SELECTOR_TABLE+928>) at WOCoreApplication.m:584
0000046 0x000055555555bac7 in -[SOGo run] (self=0x555555c54688, _cmd=0x7ffff6f8b540 <_OBJC_SELECTOR_TABLE+224>) at SOGo.m:326
0000047 0x00007ffff6c6ddad in WOApplicationMain (_appClassName=0x555555762160 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe278) at WOApplicationMain.m:42
0000048 0x00007ffff6c8dd09 in WOWatchDogApplicationMain (appName=0x555555762160 <_OBJC_INSTANCE_0>, argc=13, argv=0x7fffffffe278) at WOWatchDogApplicationMain.m:1043
0000049 0x000055555555a95e in main (argc=13, argv=0x7fffffffe278, env=0x7fffffffe2e8) at sogod.m:51

ludovic

ludovic

2016-04-12 15:52

administrator   ~0009966

Will be fixed in 2.3.11 and v3.0.3

Related Changesets

sogo: v2 fc86e60a

2016-04-12 13:17:04

ludovic

Details Diff
(fix) avoid double-appending domain in cache (fixes 0003614) Affected Issues
0003614
mod - SoObjects/SOGo/SOGoUserManager.m Diff File
mod - UI/MainUI/SOGoRootPage.m Diff File

sogo: master 2774878f

2016-04-12 13:17:04

ludovic

Details Diff
(fix) avoid double-appending domain in cache (fixes 0003614) Affected Issues
0003614
mod - SoObjects/SOGo/SOGoUserManager.m Diff File
mod - UI/MainUI/SOGoRootPage.m Diff File

sogo: master 3c6da09f

2016-05-06 13:47:35

ludovic

Details Diff
(fix) make sure we don't double-append domain part (fixes 0003614) Affected Issues
0003614
mod - SoObjects/SOGo/SOGoUserManager.m Diff File

sogo: v2 a26b2ec9

2016-05-06 13:47:35

ludovic

Details Diff
(fix) make sure we don't double-append domain part (fixes 0003614) Affected Issues
0003614
mod - SoObjects/SOGo/SOGoUserManager.m Diff File

Issue History

Date Modified Username Field Change
2016-04-05 05:00 nfg New Issue
2016-04-08 09:00 nfg Note Added: 0009942
2016-04-08 09:02 nfg Note Edited: 0009942 View Revisions
2016-04-08 09:04 nfg Note Edited: 0009942 View Revisions
2016-04-08 09:05 nfg Note Edited: 0009942 View Revisions
2016-04-08 09:06 nfg Note Edited: 0009942 View Revisions
2016-04-12 13:18 ludovic Changeset attached => sogo v2 fc86e60a
2016-04-12 13:18 ludovic Assigned To => ludovic
2016-04-12 13:18 ludovic Resolution open => fixed
2016-04-12 13:21 ludovic Changeset attached => sogo master 2774878f
2016-04-12 15:52 ludovic Note Added: 0009966
2016-04-12 15:52 ludovic Status new => resolved
2016-04-12 15:52 ludovic Fixed in Version => 2.3.11
2016-05-06 13:48 ludovic Changeset attached => sogo master 3c6da09f
2016-05-06 13:50 ludovic Changeset attached => sogo v2 a26b2ec9